#include <bits/stdc++.h> 
using namespace std;
int main()
{
	int N, L, R;
    cin>>N;
    L=0;
    R=0;
    long long int maks;
    maks= -1;
    long long int am;
    long long int bm;
	long long int A[N];
	long long int B[N];
    for(int i =0;i<N;i++)
    {
    	cin>>A[i];
	}
	for(int i =0;i<N;i++)
    {
    	cin>>B[i];
	}
	while(L<N)
	{
		am=0;
		bm=B[L];
		while(R<=N)
		{	 
		 		am=am^A[R];
		 		bm=bm&B[R];
		 		if(maks< am*bm)
		 		{
		 			maks=am*bm;
				 }
			    R++;
		}
		L++;
		R=L;
	}
	cout<<maks;	
}